
#ifndef NODES_H
#define NODES_H

#include <stdint.h>
#include <easy/easy.h>


struct node *node_create(uint8_t *hwaddr);
void node_free(struct node *n);

struct node *node_add(struct hlist_head *table, uint8_t *hwaddr);
int node_del(struct hlist_head *table, uint8_t *hwaddr);
struct node *node_lookup(struct hlist_head *table, uint8_t *hwaddr);
struct node *node_lookup_ipv4(struct hlist_head *table, uint32_t ipv4_addr);
struct node *node_lookup_ipv6(struct hlist_head *table, uint8_t *ipv6_addr);
void node_print_all(struct hlist_head *table);

#endif /* NODES_H */
